All Apps and Add-ons

How do I resolve this Splunk_TA_snow upgrade issue? (Solution)

greentemplar
Observer

*Note: Just sharing this issue with resolution.

Issue: Splunk_TA_snow upgrade issue

Description: There is a requirement to upgrade ServiceNow TA from 7.1.1 to 7.4.0. After the upgrade, we’ve noticed that the “Configuration” section is not working (see screenshot below).

greentemplar_1-1660045759439.png

Error found in /opt/splunk/var/log/splunk/splunkd.log:

07-29-2022 05:00:47.312 +0000 ERROR AdminManagerExternal - Stack trace from python handler:\nTraceback (most recent call last):\n  File "/opt/splunk/etc/apps/Splunk_TA_snow/lib/splunktaucclib/rest_handler/handler.py", line 124, in wrapper\n    for name, data, acl in meth(self, *args, **kwargs):\n  File "/opt/splunk/etc/apps/Splunk_TA_snow/lib/splunktaucclib/rest_handler/handler.py", line 345, in _format_all_response\n    self._encrypt_raw_credentials(cont["entry"])\n  File "/opt/splunk/etc/apps/Splunk_TA_snow/lib/splunktaucclib/rest_handler/handler.py", line 375, in _encrypt_raw_credentials\n    change_list = rest_credentials.decrypt_all(data)\n  File "/opt/splunk/etc/apps/Splunk_TA_snow/lib/splunktaucclib/rest_handler/credentials.py", line 293, in decrypt_all\n    all_passwords = credential_manager._get_all_passwords()\n  File "/opt/splunk/etc/apps/Splunk_TA_snow/lib/solnlib/utils.py", line 153, in wrapper\n    return func(*args, **kwargs)\n  File "/opt/splunk/etc/apps/Splunk_TA_snow/lib/solnlib/credentials.py", line 283, in _get_all_passwords\n    clear_password += field_clear[index]\nTypeError: can only concatenate str (not "NoneType") to str\n\nDuring handling of the above exception, another exception occurred:\n\nTraceback (mostrecent call last):\n  File "/opt/splunk/lib/python3.7/site-packages/splunk/admin.py", line 113, in init_persistent\n    hand.execute(info)\n  File "/opt/splunk/lib/python3.7/site-packages/splunk/admin.py", line 636, in execute\n    if self.requestedAction == ACTION_LIST:     self.handleList(confInfo)\n  File "/opt/splunk/etc/apps/Splunk_TA_snow/lib/splunktaucclib/rest_handler/admin_external.py", line 63, in wrapper\n    for entity in result:\n  File "/opt/splunk/etc/apps/Splunk_TA_snow/lib/splunktaucclib/rest_handler/handler.py", line 131, in wrapper\n    raise RestError(500, traceback.format_exc())\nsplunktaucclib.rest_handler.error.RestError: REST Error [500]: Internal Server Error -- Traceback (most recent call last):\n  File "/opt/splunk/etc/apps/Splunk_TA_snow/lib/splunktaucclib/rest_handler/handler.py", line 124, in wrapper\n    for name, data, acl in meth(self, *args, **kwargs):\n  File "/opt/splunk/etc/apps/Splunk_TA_snow/lib/splunktaucclib/rest_handler/handler.py", line 345, in _format_all_response\n    self._encrypt_raw_credentials(cont["entry"])\n  File "/opt/splunk/etc/apps/Splunk_TA_snow/lib/splunktaucclib/rest_handler/handler.py", line 375, in _encrypt_raw_credentials\n    change_list = rest_credentials.decrypt_all(data)\n  File "/opt/splunk/etc/apps/Splunk_TA_snow/lib/splunktaucclib/rest_handler/credentials.py", line 293, in decrypt_all\n    all_passwords = credential_manager._get_all_passwords()\n  File "/opt/splunk/etc/apps/Splunk_TA_snow/lib/solnlib/utils.py", line 153, in wrapper\n    return func(*args, **kwargs)\n  File "/opt/splunk/etc/apps/Splunk_TA_snow/lib/solnlib/credentials.py", line 283, in _get_all_passwords\n    clear_password += field_clear[index]\nTypeError: can only concatenate str (not "NoneType") to str\n\n

 

Solution: Initiated fresh install of Splunk_TA_snow because upgrading the app gives the same error. We’ve found out there are conflict for the following apps (splunk_app_addon-builder, Splunk_TA_microsoft-cloudservices, TA-defender-atp-hunting). After removing these apps, Splunk_TA_snow is now working as expected.

 

greentemplar_2-1660045860321.png

 

 

Labels (2)
Tags (1)
0 Karma
Get Updates on the Splunk Community!

BSides Splunk 2022 - The Call for Papers is now Open!

TLDR; Main Site: https://bsidessplunk.com CFP Site: https://bsidessplunk.com/cfp CFP Opens: December 15th, ...

Sending Metrics to Splunk Enterprise With the OpenTelemetry Collector

This blog post is part of an ongoing series on OpenTelemetry. The OpenTelemetry project is the second largest ...

What's New in Splunk Cloud Platform 9.0.2208?!

Howdy!  We are happy to share the newest updates in Splunk Cloud Platform 9.0.2208! Analysts can benefit ...